| DocBook: The Definitive Guide 2.0.17 (Alpha)

# nonterminal

$Revision$

$Date$

nonterminal — A non-terminal in an EBNF production

## Synopsis

### Mixed Content Model

    nonterminal ::=
    (#PCDATA)

### Attributes

Common attributes

Name | Type | Default
def | CDATA | Required

## Description

This element is only available if you are using the EBNF Module.

A `NonTerminal` is a symbol in an EBNF `Production` that represents a portion of the grammar.

### Parents

These elements contain nonterminal: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `code`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `firstterm`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `rhs`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `td`, `term`, `termdef`, `tertiary`, `tertiaryie`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

## Attributes

def

  The `def` attribute contains a URI reference that points to a `production` where the `nonterminal` is defined.

  Note that this is not an IDREF, it is a URI reference (as, for example, are `href` attributes on HTML `a` elements). This is necessary because references to non-terminals might need to cross document boundaries.

msgtext |  | note

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.